<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.CheckExpertMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.CheckExpert">
        <result column="check_id" property="checkId" />
        <result column="expert_id" property="expertId" />
        <result column="userid" property="userid"/>
        <result column="update_time" property="updateTime"/>
        <result column="del_flag" property="delFlag"/>
        <result column="dept_id" property="deptId"/>
    </resultMap>



    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        check_id, expert_id, userid, update_time, del_flag, dept_id
    </sql>

    <!--删除-->
    <delete id="deleteRelationsById">
        update t_check_expert
        set del_flag ="4"
        WHERE check_id=#{id}
    </delete>

    <select id="getAllListById" resultType="com.nantian.cloud.jljc.entity.CheckExpert">
        select check_id, expert_id, userid, update_time, del_flag, dept_id
        from t_check_expert
        where
        check_id=#{id}
    </select>



</mapper>
